<html>

	<head>
		<script type="module">

			import LMInit from 'https://maps.locuslabs.com/sdk/LocusMapsSDK.js'

			const config = {
				venueId: 'lax',
				accountId: 'A11F4Y6SZRXH4X'
			}

			LMInit.setLogging(true)

			LMInit.newMap('#map', config)
				.then(start)
				.catch(e => console.error('Error initializing map: ', e))

			function start(map) {
				map.setPosition({
					"lat":33.941370646606,
					"lng":-118.40205851133783,
					"ord":3,
					"structureId":"lax-south",
					"floorId":"lax-south-departures",
					"zoom":20.1,
					"pitch":60,
					"bearing":174.22328055995266
				})
			}

		</script>
	</head>

	<body>
		<div id="map" style="height: 100%;"></div>
	</body>

</html>